#include <iostream>
#include <vector>
#include <libplayerc++/playerc++.h>
#include "P2AT.h"

int
main(int argc, char *argv[])
{
  using namespace PlayerCc;
  P2AT r("localhost",6665,0);

  for(;;)
  {
    double turnrate, speed;

    // read from the proxies
    std::vector<double> sp=r.getSonar();
    std::cout <<r.getPose()<< std::endl;
    std::cout <<sp[1]<<std::endl;
    // std::cout << sp << std::endl;

    // do simple collision avoidance
    if((sp[0] + sp[1]) < (sp[6] + sp[7]))
      turnrate = dtor(-20); // turn 20 degrees per second
    else
      turnrate = dtor(20);

    if(sp[3] < 0.500)
      speed = 0;
    else
      speed = 0.100;

    // command the motors
    r.move(speed, turnrate);
  }
}

